package com.saye.hospitalgd.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class Departs {
	
	private String departId;
	private String departName;
	private String parentId;
	private String leaf;
	private String isactive;
	private String modifyUserName;
	private String modifyTrueName;
	private String createTime;
	private String createDate;

	private String modifyTime;

	private List<Departs> children;
	private HashMap<Object, Object> attributes;
	
	public Departs(){
		children = new ArrayList<Departs>();
	}
	
	public List<Departs> getChildren() {
		return children;
	}

	public void setChildren(List<Departs> list2) {
		this.children = list2;
	}

	public HashMap<Object, Object> getAttributes() {
		return attributes;
	}

	public void setAttributes(HashMap<Object, Object> attributes) {
		this.attributes = attributes;
	}

	public String getDepartId() {
		return departId;
	}
	public void setDepartId(String departId) {
		this.departId = departId;
	}
	public String getDepartName() {
		return departName;
	}
	public void setDepartName(String departName) {
		this.departName = departName;
	}
	public String getParentId() {
		return parentId;
	}
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	public String getLeaf() {
		return leaf;
	}
	public void setLeaf(String leaf) {
		this.leaf = leaf;
	}
	public String getIsactive() {
		return isactive;
	}
	public void setIsactive(String isactive) {
		this.isactive = isactive;
	}
	public String getModifyUserName() {
		return modifyUserName;
	}
	public void setModifyUserName(String modifyUserName) {
		this.modifyUserName = modifyUserName;
	}
	public String getModifyTrueName() {
		return modifyTrueName;
	}
	public void setModifyTrueName(String modifyTrueName) {
		this.modifyTrueName = modifyTrueName;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public String getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	
	
}
